Name:           nec2c
Version:        0.9
Release:        alt1_2
Summary:        Translation of NEC2 antenna modeling tool from FORTRAN to C

Group:          Communications
License:        Public Domain
URL:            http://5b4az.chronos.org.uk/pages/nec2.html
Source0:        http://5b4az.chronos.org.uk/pkg/nec2/nec2c/%{name}-%{version}.tar.bz2
Patch0:         nec2c-Makefile.patch

BuildRequires:  help2man
Source44: import.info
Patch33: nec2c-0.9-alt-linkage.patch

%description
nec2c is a translation of the Numerical Electromagnetics Code (NEC2)
from FORTRAN to C. 

Operationally nec2c differs from NEC2 by being a command line
non-interactive program, taking as arguments the input file name
and optionally the output file name.


%prep
%setup -q -n %{name}
%patch0 -p0
%patch33 -p1


%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

#fix permissions
chmod 0644 README network.c


%install
#skip make install and do manual install, it's just one file
install -D -m 0755 nec2c %{buildroot}%{_bindir}/nec2c

mkdir -p %{buildroot}%{_mandir}/man1
help2man -o %{buildroot}%{_mandir}/man1/%{name}.1 -h -h -v -v --no-discard-stderr -N %{buildroot}%{_bindir}/%{name}


%files
%doc AUTHORS COPYING README NEC2-bug.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_2
- initial fc import

